export ffmpegPath=$workDir/ffmpeg

git clone https://github.com/FFmpeg/FFmpeg $ffmpegPath --depth 1

cd $ffmpegPath

make distclean

flags="--cc=$CC --cxx=$CXX"

if [[ -z $FFMPEG_MSVC ]]; then
  flags="--toolchain=msvc"
fi

./configure --disable-gpl --disable-nonfree --disable-doc --disable-network \
  --disable-ffprobe --disable-ffplay --enable-static --disable-shared \
  --enable-libopenh264 \
  --prefix=$PREFIX --enable-cross-compile --arch=$ARCH \
  --pkg-config-flags="--static" --target-os=$FFMPEG_OS \
  ${flags}

make -j$JOBS

cp ffmpeg* $outDir
